/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package algoritmobr;

/**
 * @author Joel
 * @author Cristian
 */
public class dualRojo {
    private int ptoRojo;
    public vertice interAzul;
    private vertice Rojo;
    private vertice Azul;
    public dualRojo(int R, vertice rojo, vertice inter, vertice azul){
        this.ptoRojo=R;
        this.Rojo=rojo;
        this.Azul=azul;
        this.interAzul=inter;
        if(this.interAzul.getX()!=Double.NEGATIVE_INFINITY)
            if(this.interAzul.getX()!=Double.POSITIVE_INFINITY)
                this.interAzul.setVertice(-1*this.interAzul.getX(), this.interAzul.getY());
    }
    public int getRojo(){
        return ptoRojo;
    }
    public vertice getAzul(){
        return Azul;
    }
    
    public vertice getInter(){
        return interAzul;
    }
    public vertice getROJO(){
        return Rojo;
    }
    public String toString(){
        return ptoRojo+"[Punto: "+Rojo.toString()+" Intersección: "+interAzul.toString()+"]\n";
    }
}
